
Foreman - Bug #13033

plugin:gettext rake task doesn't load with gettext_i18n_rails_js 1.x

01/07/2016 03:51 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Internationalization   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3102

  

Description

The plugin:gettext rake task isn't loaded with a full bundler installation, so plugins can't be extracted.  Removing the rescue in

lib/tasks/gettext.rake shows:

$ rake plugin:gettext[foreman_example]

rake aborted!

LoadError: cannot load such file -- gettext_i18n_rails_js/tasks

/home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.1.5/lib/active_support/depende

ncies.rb:247:in `require'

/home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.1.5/lib/active_support/depende

ncies.rb:247:in `block in require'

/home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.1.5/lib/active_support/depende

ncies.rb:232:in `load_dependency'

/home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.1.5/lib/active_support/depende

ncies.rb:247:in `require'

/home/dcleal/code/foreman/foreman/lib/tasks/gettext.rake:5:in `<top (required)>'

 The layout of gettext_i18n_rails_js changed in 1.x, updated in #7230.

Related issues:

Related to Foreman - Feature #7230: Upgrade Ruby on Rails to 4.1 Closed 08/22/2014

Related to Foreman - Refactor #9524: Update to gettext_i18n_rails_js 1.x Resolved 02/24/2015

Blocked by Foreman - Bug #8874: gettext 3.1.13+ causes locale tx-update error... Closed 01/08/2015

Blocks Foreman Remote Execution - Feature #11948: Localization work Closed 09/24/2015

Associated revisions

Revision 755ade45 - 01/21/2016 05:29 AM - Stephen Benjamin

fixes #13033 - require new location of gettext_i18n_rails_js tasks

History

#1 - 01/07/2016 03:51 AM - Dominic Cleal

- Related to Feature #7230: Upgrade Ruby on Rails to 4.1 added

#2 - 01/07/2016 03:52 AM - Dominic Cleal

- Related to Refactor #9524: Update to gettext_i18n_rails_js 1.x added

#3 - 01/15/2016 04:21 AM - Dominic Cleal

- Blocked by Bug #8874: gettext 3.1.13+ causes locale tx-update errors due to .edit.po files added

#4 - 01/20/2016 08:14 AM - Stephen Benjamin

- Blocks Feature #11948: Localization work added
https://projects.theforeman.org/issues/7230


#5 - 01/20/2016 08:31 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/foreman/pull/3102 added

#6 - 01/21/2016 06:03 AM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 755ade455c0d026dfb57f244aa33e7e0da096a5d.
